Bug 1295027 - _ped.PartitionException: Partition does not exist
_ped.PartitionException: Partition does not exist
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:a0bca1785a0b29ca67465f74519...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 22:31 EST by Frantisek Hanzlik
Modified: 2016-12-20 12:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.01 MB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: anaconda.log (27.78 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: dnf.log (2.05 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: environ (459 bytes, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: ks.cfg (6.54 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: lsblk_output (6.30 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: nmcli_dev_list (2.01 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: os_info (451 bytes, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: storage.log (517.52 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: syslog (104.58 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: ifcfg.log (10.91 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: packaging.log (1.73 KB, text/plain)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details
File: program.log (294.87 KB, application/octet-stream)
2015-12-31 22:32 EST, Frantisek Hanzlik
no flags Details

  None (edit)
Description Frantisek Hanzlik 2015-12-31 22:31:48 EST
Description of problem:
installing from kickstart, '%include' statements commented out (because with them anaconda crashes with "kickstart file /run/install/ks.cfg is missing" in early stage). Without '%include' statements I can select partitions for installation and start installation. But anaconda crashes, somewhere in "installation settings" phase.

Version-Release number of selected component:
anaconda-23.19.10-1

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/parted/disk.py", line 352, in getPartitionBySector
    return parted.Partition(disk=self, PedPartition=self.__disk.get_partition_by_sector(sector))
  File "/usr/lib/python3.4/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.4/site-packages/blivet/devices/partition.py", line 367, in preCommitFixup
    _partition = _disklabel.partedDisk.getPartitionBySector(_sector)
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 192, in _preProcess
    device.preCommitFixup()
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 274, in process
    self._preProcess(devices=devices)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib/python3.4/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
_ped.PartitionException: Partition does not exist

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-WS-23-i386 inst.ks=http://192.168.1.254/ks/23/muj32-ks.cfg
dnf.rpm.log:    led 01 03:20:10 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 Frantisek Hanzlik 2015-12-31 22:32:00 EST
Created attachment 1110870 [details]
File: anaconda-tb
Comment 2 Frantisek Hanzlik 2015-12-31 22:32:02 EST
Created attachment 1110871 [details]
File: anaconda.log
Comment 3 Frantisek Hanzlik 2015-12-31 22:32:04 EST
Created attachment 1110872 [details]
File: dnf.log
Comment 4 Frantisek Hanzlik 2015-12-31 22:32:05 EST
Created attachment 1110873 [details]
File: environ
Comment 5 Frantisek Hanzlik 2015-12-31 22:32:07 EST
Created attachment 1110874 [details]
File: ks.cfg
Comment 6 Frantisek Hanzlik 2015-12-31 22:32:09 EST
Created attachment 1110875 [details]
File: lsblk_output
Comment 7 Frantisek Hanzlik 2015-12-31 22:32:10 EST
Created attachment 1110876 [details]
File: nmcli_dev_list
Comment 8 Frantisek Hanzlik 2015-12-31 22:32:12 EST
Created attachment 1110877 [details]
File: os_info
Comment 9 Frantisek Hanzlik 2015-12-31 22:32:16 EST
Created attachment 1110878 [details]
File: storage.log
Comment 10 Frantisek Hanzlik 2015-12-31 22:32:19 EST
Created attachment 1110879 [details]
File: syslog
Comment 11 Frantisek Hanzlik 2015-12-31 22:32:20 EST
Created attachment 1110880 [details]
File: ifcfg.log
Comment 12 Frantisek Hanzlik 2015-12-31 22:32:22 EST
Created attachment 1110881 [details]
File: packaging.log
Comment 13 Frantisek Hanzlik 2015-12-31 22:32:25 EST
Created attachment 1110882 [details]
File: program.log
Comment 14 Frantisek Hanzlik 2016-01-01 06:59:34 EST
Another user experienced a similar problem:

kickstart, installation to GPT partitioned HD, std partitioning without LVM. Crash occurs after own installation starts.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-WS-23-i386 rd.debug inst.ks=http://192.168.1.254/ks/23/muj32-ks.cfg
dnf.rpm.log:    led 01 11:51:19 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.i686
package:        anaconda-23.19.10-1
product:        Fedora
reason:         _ped.PartitionException: Partition does not exist
release:        Cannot get release name.
version:        23
Comment 15 Fedora End Of Life 2016-11-24 09:38:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:31:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.